<template>
  <div>
    <!-- For PC -->
    <div class="gt-md mainWidth q-px-md">
      <div class="row justify-center">
        <div
          v-for="(item, index) in dataFromCountry"
          :key="index"
          class="catBtn q-my-sm"
          @click="selected(item.catid)"
        >
          <div class="row">
            <div class="catBtn-icon">
              <img
                :src="showIcon(item.catid)"
                class="catBtn-img"
                :alt="'หนังสือการ์ตูนประเภท ' + item.name"
              />
            </div>
            <div class="catBtn-label col">
              {{ item.name }}
            </div>
          </div>
        </div>
      </div>
      <hr />
      <div class="row justify-center">
        <div
          v-for="(item, index) in dataFromType"
          :key="index"
          class="catBtn q-my-sm"
          @click="selected(item.catid)"
        >
          <div class="row">
            <div class="catBtn-icon">
              <img
                :src="showIcon(item.catid)"
                class="catBtn-img"
                :alt="'หนังสือการ์ตูนประเภท ' + item.name"
              />
            </div>
            <div class="catBtn-label col">
              {{ item.name }}
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- mobile -->
    <div class="lt-sm">
      <div class="blue-bg">
        <div class="q-pa-md">หมวดหมู่</div>
        <div class="q-px-md">
          <q-select
            v-model="selectCat"
            :options="catOptions"
            bg-color="white"
            rounded
            outlined
            color="black"
            dense
            label="ประเภทการ์ตูน"
            map-options
            emit-value
            @input="selected(selectCat)"
          />
        </div>
      </div>
      <!-- <div class="q-px-sm topic-m">หมวดหมู่</div> -->
      <!-- <div class="row q-pl-sm">
        <div
          v-for="(item, index) in dataFromCountry"
          :key="index"
          class="catBtn-m q-my-sm"
          @click="selected(item.catid)"
          align="center"
        >
          <div class="catBtn-m-label">
            {{ item.name }}
          </div>
        </div>
      </div> -->
      <!-- <hr />
      <div class="row q-pl-sm">
        <div
          v-for="(item, index) in dataFromType"
          :key="index"
          class="catBtn-m q-my-sm"
          @click="selected(item.catid)"
          align="center"
        >
          <div class="catBtn-m-label">
            {{ item.name }}
          </div>
        </div>
      </div> -->
    </div>

    <!-- tablet -->
    <div class="gt-xs lt-lg">
      <div class="q-px-sm topic-t">หมวดหมู่</div>
      <div class="row justify-center q-pt-sm">
        <div
          v-for="(item, index) in dataFromCountry"
          :key="index"
          class="catBtn-t q-my-sm"
          @click="selected(item.catid)"
          align="center"
        >
          <div class="catBtn-t-label">
            {{ item.name }}
          </div>
        </div>
      </div>
      <hr />
      <div class="row justify-center">
        <div
          v-for="(item, index) in dataFromType"
          :key="index"
          class="catBtn-t q-my-sm"
          @click="selected(item.catid)"
          align="center"
        >
          <div class="catBtn-t-label">
            {{ item.name }}
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";
export default {
  data() {
    return {
      data: [],
      dataFromCountry: [],
      dataFromType: [],
      catOptions: [],
      selectCat: "",
    };
  },
  methods: {
    selected(id) {
      this.$emit("selectedItem", id);
    },
    showIcon(id) {
      let iconFile =
        this.serverpath + "icon/" + id + ".svg?" + Math.random() * 2000;
      return iconFile;
    },
    async loadData() {
      let url = this.serverpath + "showcategory.php";
      let res = await axios.get(url);
      this.data = res.data;
      this.data.sort((a, b) => (a.name > b.name ? 1 : 0));
      this.dataFromCountry = this.data.filter((x) => x.type == 1);
      this.dataFromType = this.data.filter((x) => x.type == 0);
      this.catOptions = [];
      this.dataFromCountry.forEach((x) => {
        let temp = {
          label: x.name,
          value: x.catid,
        };
        this.catOptions.push(temp);
      });
      this.dataFromType.forEach((x) => {
        let temp = {
          label: x.name,
          value: x.catid,
        };
        this.catOptions.push(temp);
      });
    },
  },
  mounted() {
    this.loadData();
  },
};
</script>

<style lang="scss" scoped>
.catBtn {
  border: 1px solid black;
  width: 180px;
  border-radius: 100px;
  margin-right: 10px;
  cursor: pointer;
}

.catBtn-m {
  border: 1px solid black;
  width: 31%;
  height: 40px;
  font-size: 12px;
  padding-top: 3px;
  border-radius: 100px;
  margin-right: 5px;
  cursor: pointer;
}
.catBtn-t {
  border: 1px solid black;
  width: 19%;
  height: 40px;
  font-size: 12px;
  padding-top: 3px;
  border-radius: 100px;
  margin-right: 5px;
  cursor: pointer;
}

.catBtn:hover {
  background-color: #b6cefd;
}
.catBtn-icon {
  width: 65px;
  padding-left: 15px;
  padding-top: 6px;
}
.catBtn-img {
  height: 30px;
}
.catBtn-label {
  padding-top: 7px;
}
.catBtn-m-label {
  padding-top: 7px;
  font-size: 13px;
}
.catBtn-t-label {
  padding-top: 4px;
  font-size: 16px;
}
.blue-bg {
  background-color: #1170ff;
  color: white;
  height: 132px;
}
</style>
